diff --git a/src/backend/statistics/relation_stats.c b/src/backend/statistics/relation_stats.c
index ffa3d83a87..26f15061e8 100644
--- a/src/backend/statistics/relation_stats.c
+++ b/src/backend/statistics/relation_stats.c
@@ -99,11 +99,11 @@ relation_statistics_update(FunctionCallInfo fcinfo, int elevel)
 	{
 		int32		relpages = PG_GETARG_INT32(RELPAGES_ARG);
 
-		if (relpages < -1)
+		if (relpages < 0)
 		{
 			ereport(elevel,
 					(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
-					 errmsg("relpages cannot be < -1")));
+					 errmsg("relpages cannot be < 0")));
 			table_close(crel, RowExclusiveLock);
 			return false;
 		}
